/// <reference types="cypress" />
/// <reference types="cypress" />
import { ITaskSpecEnvelopes, ITaskCreateStringAttachment, ITaskTestCaseStarted, ITaskTestStepStarted, ITaskTestStepFinished, ITaskTestCaseFinished } from "./cypress-task-definitions";
export declare function beforeRunHandler(config: Cypress.PluginConfigOptions): Promise<void>;
export declare function afterRunHandler(config: Cypress.PluginConfigOptions): Promise<void>;
export declare function beforeSpecHandler(config: Cypress.PluginConfigOptions, spec: Cypress.Spec): Promise<void>;
export declare function afterSpecHandler(config: Cypress.PluginConfigOptions, spec: Cypress.Spec, results: CypressCommandLine.RunResult): Promise<void>;
export declare function afterScreenshotHandler(config: Cypress.PluginConfigOptions, details: Cypress.ScreenshotDetails): Promise<Cypress.ScreenshotDetails>;
export declare function specEnvelopesHandler(config: Cypress.PluginConfigOptions, data: ITaskSpecEnvelopes): boolean;
export declare function testCaseStartedHandler(config: Cypress.PluginConfigOptions, data: ITaskTestCaseStarted): boolean;
export declare function testStepStartedHandler(config: Cypress.PluginConfigOptions, data: ITaskTestStepStarted): boolean;
export declare function testStepFinishedHandler(config: Cypress.PluginConfigOptions, data: ITaskTestStepFinished): boolean;
export declare function testCaseFinishedHandler(config: Cypress.PluginConfigOptions, data: ITaskTestCaseFinished): boolean;
export declare function createStringAttachmentHandler(config: Cypress.PluginConfigOptions, { data, mediaType, encoding }: ITaskCreateStringAttachment): Promise<boolean>;
